<%@ Page Inherits="Dvbbs.bbs.UI.Admin.admin_friendlink_alter" %>
<%@ Register tagPrefix="bbs" tagName="AdminHeader" src="controls/admin_header.ascx"%>
<%@ Register tagPrefix="bbs" tagName="AdminFooter" src="controls/admin_footer.ascx"%>
<bbs:AdminHeader title="修改友情连接" runat="server" ID="Adminheader1" />
<script language="javascript">
function chkPost()
{
	var f = document.forms[0];
	if (f.text.value == '')
	{
		alert('请填写名称');
		f.text.focus();
		return false;
	}
	if (isNaN(f.sortid.value))
	{
		alert("序号必须是数字，越小越靠前");
		f.sortid.focus();
		return false;
	}
	if (f.sortid.value > 100000)
	{
		alert("序号必须是数字，并且小于100000");
		f.sortid.focus();
		return false;
	}
	if (f.url.value == '' || f.url.value.toLowerCase() == 'http://')
	{
		alert('请填写HTTP地址');
		f.url.focus();
		return false;
	}
	return true;
}
</script>
<form id="addnew" runat="server">
	<table width="100%" class="maintable" cellpadding="0" cellspacing="1" border="0">
		<tr>
			<td class="title" colspan="2">修改友情链接</td>
		</tr>
		<tr>
			<td class="left" width="30%">友情链接名称</td>
			<td><asp:TextBox id="text" maxlength="300" style="width:150px" runat="server" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" /></td>
		</tr>
		<tr>
			<td class="left">Logo地址</td>
			<td><asp:TextBox id="logo" maxlength="100" style="width:300px" runat="server" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" />
				<span>最好以http://开头</span></td>
		</tr>
		<tr>
			<td class="left">网址</td>
			<td><asp:TextBox id="url" maxlength="100" style="width:300px" runat="server" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" />
				<span>必须以http://开头</span></td>
		</tr>
		<tr>
			<td class="left">序号</td>
			<td><asp:TextBox id="sortid" maxlength="4" style="width:150px" runat="server" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" />
				<span>0-255， 但不可以是9和32, 越小越靠前</span></td>
		</tr>
		<tr>
			<td class="left">宽度</td>
			<td><asp:TextBox id="mwidth" maxlength="4" style="width:150px" runat="server" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" /></td>
		</tr>
		<tr>
			<td class="left">高度</td>
			<td><asp:TextBox id="mheight" maxlength="4" style="width:150px" runat="server" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" /></td>
		</tr>
		<tr>
			<td colspan="2" align="center" class="bottom">
			<input type="submit" id="save" class="button" value="保 存" onclick="return chkPost()" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" /></td>
		</tr>
	</table>
</form>
<bbs:AdminFooter runat="server" />
